#ifndef RK_DNSPACK_READDATFILE_H
#define RK_DNSPACK_READDATFILE_H

#include <string>

#include "PackingStructure.h"

namespace rk
{
	namespace dnspack
	{
		class ReadDatFile
		{
		public:
			ReadDatFile();
			virtual ~ReadDatFile();

		public:
			PackingStructure operator()(const std::string& fileName);

		private:
			ReadDatFile(const ReadDatFile&) = delete;
			ReadDatFile(ReadDatFile&&) noexcept = delete;
			ReadDatFile& operator=(const ReadDatFile&) = delete;
			ReadDatFile& operator=(ReadDatFile&&) noexcept = delete;
		};
	}
}


#endif // !RK_DNSPACK_READDATFILE_H
