#include "FractionalCoordinate.h"

using namespace rk::dnspack;

FractionalCoordinate::FractionalCoordinate() noexcept
	: a{ 0 }
	, b{ 0 }
	, c{ 0 }
{
}

FractionalCoordinate::FractionalCoordinate(const double x, const double y, const double z) noexcept
	: a{ x }
	, b{ y }
	, c{ z }
{
}

FractionalCoordinate::~FractionalCoordinate()
{
}

FractionalCoordinate::FractionalCoordinate(const rk::dnspack::FractionalCoordinate& other) noexcept
	: a{ other.a }
	, b{ other.b }
	, c{ other.c }
{
}

FractionalCoordinate::FractionalCoordinate(rk::dnspack::FractionalCoordinate&& other) noexcept
	: a{ other.a }
	, b{ other.b }
	, c{ other.c }
{
}
