#ifndef RK_DNSPACK_ISDIRECTORY_H
#define RK_DNSPACK_ISDIRECTORY_H

#include <string>

namespace rk
{
	namespace dnspack
	{
		class IsDirectory
		{
		public:
			IsDirectory();
			virtual ~IsDirectory();

		public:
			bool operator()(const std::string& directoryName);

		private:
			IsDirectory(const IsDirectory& other) = delete;
			IsDirectory(IsDirectory&& other) noexcept = delete;
			IsDirectory& operator=(const IsDirectory& other) = delete;
			IsDirectory& operator=(IsDirectory&& other) noexcept = delete;
		};
	}
}


#endif // !RK_DNSPACK_ISDIRECTORY_H
