#ifndef RK_DNSPACK_RANDOMFLUCTUATE_H
#define RK_DNSPACK_RANDOMFLUCTUATE_H

#include "PackingStructure.h"


namespace rk
{
	namespace dnspack
	{
		class RandomFluctuate
		{
		public:
			explicit RandomFluctuate(const double maxFluctuation);
			virtual ~RandomFluctuate();

		public:
			void operator()(PackingStructure& packingStructure);

		private:
			const double m_maxFluctuation;

		private:
			RandomFluctuate(const RandomFluctuate&) = delete;
			RandomFluctuate(RandomFluctuate&&) noexcept = delete;
			RandomFluctuate& operator=(const RandomFluctuate&) = delete;
			RandomFluctuate& operator=(RandomFluctuate&&) noexcept = delete;
		};
	}
}


#endif // !RK_DNSPACK_RANDOMFLUCTUATE_H
