#ifndef RK_DNSPACK_REFINEUNITCELL_H
#define RK_DNSPACK_REFINEUNITCELL_H

#include "PackingStructure.h"

namespace rk
{
	namespace dnspack
	{
		class RefineUnitCell
		{
		public:
			RefineUnitCell();
			virtual ~RefineUnitCell();

		public:
			void operator()(PackingStructure& packingStructure);

		private:
			RefineUnitCell(const RefineUnitCell& other) = delete;
			RefineUnitCell(RefineUnitCell&& other) noexcept = delete;
			RefineUnitCell& operator=(const RefineUnitCell& other) = delete;
			RefineUnitCell& operator=(RefineUnitCell&& other) noexcept = delete;
		};
	}
}


#endif // !RK_DNSPACK_REFINEUNITCELL_H
