#ifndef RK_DNSPACK_RESTART_H
#define RK_DNSPACK_RESTART_H

#include <string>


namespace rk
{
	namespace dnspack
	{
		class Restart
		{
		public:
			explicit Restart(const std::string& resultFileName);
			virtual ~Restart();

		public:
			bool readResultFile(double& maxPackingFraction);

		private:
			const std::string m_resultFileName;

		private:
			Restart(const Restart&) = delete;
			Restart(Restart&&) noexcept = delete;
			Restart& operator=(const Restart&) = delete;
			Restart& operator=(Restart&&) noexcept = delete;
		};
	}
}


#endif // !RK_DNSPACK_RESTART_H
