#include "CartesianCoordinate.h"

using namespace rk::dnspack;

CartesianCoordinate::CartesianCoordinate() noexcept
	: x{ 0 }
	, y{ 0 }
	, z{ 0 }
{
}

CartesianCoordinate::CartesianCoordinate(const double a, const double b, const double c) noexcept
	: x{ a }
	, y{ b }
	, z{ c }
{
}

CartesianCoordinate::~CartesianCoordinate()
{
}

rk::dnspack::CartesianCoordinate::CartesianCoordinate(const rk::dnspack::CartesianCoordinate& other) noexcept
	: x{ other.x }
	, y{ other.y }
	, z{ other.z }
{
}

rk::dnspack::CartesianCoordinate::CartesianCoordinate(rk::dnspack::CartesianCoordinate&& other) noexcept
	: x{ other.x }
	, y{ other.y }
	, z{ other.z }
{
}
