#include <iostream>

#include "Argument.h"
#include "SAMLAIdsp.h"


int main(int argc, char* argv[])
{
	int fResult = 0;

	try
	{
		rk::dnspack::Argument argument;
		if (!(argument.parse(argc, argv)))
		{
			std::cerr << "Invalid command argument.\n";
			argument.usage();
			return 1;
		}

		rk::dnspack::SAMLAIdsp sAMLAIdsp(argument);
		sAMLAIdsp.execute();
}

	catch (const std::exception& e)
	{
		fResult = 1;

		std::cerr << e.what() << "\n";
		std::cerr << "Terminate this program.\n";
	}

	return fResult;
}

